CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2025 开发者帮助

InsertInMenuBar 方法 (ActiveX)

2024-5-18 19:20| 发布者: admin| 查看: 144| 评论: 0|原作者: admin|来自: AutoCAD

InsertInMenuBar 方法 (ActiveX)

将弹出菜单插入到 AutoCAD 菜单栏中的指定位置。

支持的平台:仅限 Windows

签名

VBA:

object.InsertInMenuBar Index
对象

类型:PopupMenu

此方法应用到的对象。

指数

访问:仅输入

类型:变体

菜单栏中要添加弹出菜单的索引位置。

索引必须是整数或字符串。如果是整数,则索引必须介于 0 和 N-1 之间,其中 N 是菜单栏中的对象数。新项目将紧接在指定的索引位置之前添加。

返回值 (RetVal)

无返回值。

言论

没有其他评论。

例子

VBA:

Sub Example_InsertInMenuBar()
    ' This example creates a new menu called TestMenu and inserts a menu item
    ' into it. The menu is then displayed on the menu bar.
    ' To remove the menu after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new menu
    Dim newMenu As AcadPopupMenu
    Set newMenu = currMenuGroup.Menus.Add("TestMenu")
    
    ' Add a menu item to the new menu
    Dim newMenuItem As AcadPopupMenuItem
    Dim openMacro As String
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set newMenuItem = newMenu.AddMenuItem(newMenu.count + 1, "Open", openMacro)
    
    ' Display the menu on the menu bar
    newMenu.InsertInMenuBar ThisDrawing.Application.MenuBar.count + 1
    
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_InsertInMenuBar()
    ;; This example creates a new menu called TestMenu and inserts a menu item
    ;; into it. The menu is then displayed on the menu bar.
    ;; To remove the menu after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; Create the new menu
    (setq newMenu (vla-Add (vla-get-Menus currMenuGroup) "TestMenu"))
    
    ;; Add a menu item to the new menu
    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    (setq newMenuItem (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open" openMacro))
    
    ;; Display the menu on the menu bar
    (vla-InsertInMenuBar newMenu (1+ (vla-get-Count (vla-get-MenuBar acadObj))))
    
    ;; Display the menu bar
    (vla-SetVariable doc "MENUBAR" 1)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-3-31 13:42

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部